Adobe AIR for Mac 3.x <= 3.1.0.4880 多個記憶體損毀弱點 (APSB12-07)

high Nessus Plugin ID 58539

Synopsis

遠端 Mac OS X 主機包含一個受到多個記憶體損毀弱點影響的 Adobe AIR 版本。

描述

根據其版本,遠端 Mac OS X 主機上的 Adobe AIR 3.x 執行個體為 3.1.0.4880 版或其之前的版本,且據報受到數個重大記憶體損毀弱點影響:

- 與 URL 安全性網域檢查相關的記憶體損毀弱點。(CVE-2012-0772)

- NetStream 類別中存在的瑕疵可導致遠端程式碼執行。(CVE-2012-0773)

藉由誘騙受害者造訪特製頁面的方式,攻擊者便能利用此弱點,以使用者的權限來執行任意程式碼。

解決方案

升級至 Adobe AIR 3.2.0.2070 或更新版本。

另請參閱

http://www.adobe.com/support/security/bulletins/apsb12-07.html

Plugin 詳細資訊

嚴重性: High

ID: 58539

檔案名稱: macosx_adobe_air_3_2_0_2070.nasl

版本: 1.14

類型: local

代理程式: macosx

已發布: 2012/3/30

已更新: 2018/7/16

支持的傳感器: Nessus Agent

風險資訊

VPR

風險因素: High

分數: 8.9

CVSS v2

風險因素: High

基本分數: 9.3

時間分數: 8.1

媒介: AV:N/AC:M/Au:N/C:C/I:C/A:C

時間媒介: E:H/RL:OF/RC:C

弱點資訊

CPE: cpe:/a:adobe:air

必要的 KB 項目: MacOSX/Adobe_AIR/Version

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2012/3/28

弱點發布日期: 2012/3/28

參考資訊

CVE: CVE-2012-0772, CVE-2012-0773

BID: 52748